# CameraEventType

#### CameraEventType()
Scene/CameraEventType.js 12

Enumerates the available input for interacting with the camera.

### Members

#### static constantCesium.CameraEventType.LEFT_DRAG : Number
Scene/CameraEventType.js 19

A left mouse button press followed by moving the mouse and releasing the button.

#### static constantCesium.CameraEventType.MIDDLE_DRAG : Number
Scene/CameraEventType.js 35

A middle mouse button press followed by moving the mouse and releasing the button.

#### static constantCesium.CameraEventType.PINCH : Number
Scene/CameraEventType.js 51

A two-finger touch on a touch surface.

#### static constantCesium.CameraEventType.RIGHT_DRAG : Number
Scene/CameraEventType.js 27

A right mouse button press followed by moving the mouse and releasing the button.

#### static constantCesium.CameraEventType.WHEEL : Number
Scene/CameraEventType.js 43

Scrolling the middle mouse button.